## org.mortbay.util.ajax
Class JSONPojoConvertorFactory

    java.lang.Object
      org.mortbay.util.ajax.JSONPojoConvertorFactory

All Implemented Interfaces:
  JSON.Convertor

    public class JSONPojoConvertorFactory

extends java.lang.Object
implements JSON.Convertor

`JSONPojoConvertor` factory convertor.

This `JSON.Convertor` will create and register `JSONPojoConvertor` instances for unknown classes.

Constructor Summary
`JSONPojoConvertorFactory(JSON json)`
`JSONPojoConvertorFactory(JSON json, boolean fromJSON)`

Method Summary
`java.lang.Object` `fromJSON(java.util.Map object)`
`void` `toJSON(java.lang.Object obj, JSON.Output out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONPojoConvertorFactory

    public JSONPojoConvertorFactory(JSON json)

Parameters:
  `json` - The JSON to use for conversions and registrations

### JSONPojoConvertorFactory

    public JSONPojoConvertorFactory(JSON json,
                                    boolean fromJSON)

Parameters:
  `json` - The JSON to use for conversions and registrations
  `fromJSON` - Passed to `JSONPojoConvertor` constructor.

Method Detail

### toJSON

    public void toJSON(java.lang.Object obj,
                       JSON.Output out)

  Specified by:
    `toJSON` in interface `JSON.Convertor`

### fromJSON

    public java.lang.Object fromJSON(java.util.Map object)

  Specified by:
    `fromJSON` in interface `JSON.Convertor`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.